#ifndef XDYNENTITYCOLL_H
#define XDYNENTITYCOLL_H

#include "xasset.h"

#include <QVector2D>

class XDynEntityColl : public XAsset
{
public:
    explicit XDynEntityColl();
    ~XDynEntityColl();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    quint32 mSector;
    quint32 mNextEntInSector;
    QVector2D mLinkMins;
    QVector2D mLinkMaxs;
};

#endif // XDYNENTITYCOLL_H
